Bug 253934 - SELinux context problem with /usr/lib/ladspa/sc4m_1916.so
SELinux context problem with /usr/lib/ladspa/sc4m_1916.so
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ladspa-swh-plugins (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anthony Green
Fedora Extras Quality Assurance
:
: 343751 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-22 20:04 EDT by Paul W. Frields
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: ladspa-swh-plugins-0.4.15-10.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-11 16:12:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul W. Frields 2007-08-22 20:04:54 EDT
Description of problem:
SELinux AVC error when jokosher starts and tries to use ladspa plugins.

Version-Release number of selected component (if applicable):
ladspa-swh-plugins-0.4.15-8.fc7

How reproducible:
Every time
  
Actual results:
avc: denied { execmod } for comm="jokosher" dev=dm-2 egid=500 euid=500
exe="/usr/bin/python" exit=-13 fsgid=500 fsuid=500 gid=500 items=0
name="sc4m_1916.so" path="/usr/lib/ladspa/sc4m_1916.so" pid=3986
scontext=user_u:system_r:unconfined_t:s0 sgid=500
subj=user_u:system_r:unconfined_t:s0 suid=500 tclass=file
tcontext=system_u:object_r:lib_t:s0 tty=(none) uid=500 

Expected results:
No AVC denial.

Additional info:
From setroubleshoot - "The jokosher application attempted to load
/usr/lib/ladspa/sc4m_1916.so which requires text relocation. This is a potential
security problem. Most libraries do not need this permission. Libraries are
sometimes coded incorrectly and request this permission. The SELinux Memory
Protection Tests web page explains how to remove this requirement. You can
configure SELinux temporarily to allow /usr/lib/ladspa/sc4m_1916.so to use
relocation as a workaround, until the library is fixed. Please file a bug report
against this package.

If you trust /usr/lib/ladspa/sc4m_1916.so to run correctly, you can change the
file context to textrel_shlib_t. "chcon -t textrel_shlib_t
/usr/lib/ladspa/sc4m_1916.so"

The following command will allow this access:
chcon -t textrel_shlib_t /usr/lib/ladspa/sc4m_1916.so
Comment 1 Anthony Green 2007-11-11 15:55:01 EST
*** Bug 343751 has been marked as a duplicate of this bug. ***
Comment 2 Anthony Green 2007-11-11 16:11:49 EST
This should be fixed in ladspa-swh-plugins-0.4.15-10.fc7, which I just pushed
out to "stable".
Comment 3 Fedora Update System 2007-11-12 19:13:43 EST
ladspa-swh-plugins-0.4.15-10.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.